<?
if(isset($_GET['myfarm']) && isset($_GET['change_plant']))
{
echo '<div class="event"><h1>Магазин</h1></div>';
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '".intval($_GET['select'])."'"));
mysql_query("UPDATE `kolhoz_user` SET `last_plant` = '$plant[id]' WHERE `id` = '$ku[id]'");
header("Location:?myfarm&".passgen());
exit;
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_plant` ORDER BY `level` ASC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<div class='block'>";
echo "".($ku['level']>=$post['level']?"<a href='?myfarm&change_plant&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)." <span class='minor'>, ".($ku['level']>=$post['level']?" <span class='minor'>цена: </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."<div class='small minor'> Время созревания: <span class='title'>".time_left($post['time'])."</span>, Время до удобрения: <span class='title'>".time_left($post['time_soil'])."</span><br>Доход: <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>$post[money]</span>,
Опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span>$post[rating]</span>,
Урожай: <span>$post[count]</span> <span>шт.</span></div></div></li>";
}
echo "</div><div class='block'>";
if ($k_page>1)str("?myfarm&change_plant&",$k_page,$page); // Вывод страниц
echo "</div>";
include_once 'inc/foot.php';
}
?>